#!/bin/bash
set -x
test -d build && rm -rf build
meson build || exit 1
cd build

ninja valgrind
RET=$?
cd ..

if ! test -z "${ARCHIVE}" && test -d build/leaks
then
    cp -r build/leaks ${ARCHIVE}/
fi

exit ${RET}
