#!/usr/bin/python3
"""
    Runs complexity and exits 1 if any procedures were scored.
"""

from subprocess import Popen, PIPE
from sys import argv

ARGS = ['complexity', '--scores', '--threshold=5'] + argv[1:]
OUT = Popen(ARGS, stdout=PIPE, universal_newlines=True).communicate()[0]

if OUT.find('No procedures were scored') == -1:
    print(OUT)
    exit(1)
